const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const support_settings = sequelize.define(
    'support_settings',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

support_email: {
        type: DataTypes.TEXT,
      
      

      },

support_phone: {
        type: DataTypes.TEXT,
      
      

      },

support_hours: {
        type: DataTypes.TEXT,
      
      

      },

privacy_policy_url: {
        type: DataTypes.TEXT,
      
      

      },

terms_url: {
        type: DataTypes.TEXT,
      
      

      },

app_version_notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  support_settings.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity































//end loop



    db.support_settings.belongsTo(db.schools, {
      as: 'schools',
      foreignKey: {
        name: 'schoolsId',
      },
      constraints: false,
    });




    db.support_settings.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.support_settings.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return support_settings;
};


